× Please select the right Template below! And please insert a live URL where we can see what do you mean. A screenshot is helpful too.

file template Jp Surfing - php 7.4 to php 8

  • Posts: 12

template Jp Surfing - php 7.4 to php 8 was created by godotje

Hello

I'm trying to update to php 8. Got following error:

Fatal error: Declaration of Warp\Dom\Element::before($data) must be compatible with DOMElement::before(...$nodes): void in /customers/c/e/0/zwemclub-bst.be/httpd.www/templates/jp-surfing/warp/src/Warp/Dom/Element.php on line 108

Can you help plz
Thx
Natascha
3 weeks 2 hours ago #1

Please Log in or Create an account to join the conversation.

  • Posts: 8377

Replied by joomlaplates on topic template Jp Surfing - php 7.4 to php 8

Hello, JP Templates are based on Warp 7 and these are not compatible with PHP 8 or Joomla4.
You have to use TP Temlpates which are based on Astroid.
www.joomlaplates.com/joomla-tips-und-tricks/joomla-4-faq.html
3 weeks 1 hour ago #2

Please Log in or Create an account to join the conversation.

  • Posts: 12

Replied by godotje on topic template Jp Surfing - php 7.4 to php 8

thx for replying

i try to understand the documentation page, it's in german, i don't really understand. Can you plze tell me short how to do?
i bought two sites from joomlaplates, i really hope that i don't need to start over again; i bought both of them last year

thx
2 weeks 6 days ago #3

Please Log in or Create an account to join the conversation.

  • Posts: 8377

Replied by joomlaplates on topic template Jp Surfing - php 7.4 to php 8

Hello, here is the docu in english
astroidframe.work/support/documentations
2 weeks 6 days ago #4

Please Log in or Create an account to join the conversation.

Moderators: joomlaplates

Outstanding Support

24/7 Personal Email & Forum Support

Joomlaplates/Theme-Point is not affiliated with or endorsed by Open Source Matters or the Joomla! Project

Copyright © 2022 JoomlaPlates | Professional Joomla Templates with Uikit 3

Disclaimer & Privacy | License